diff --git a/doc/src/sgml/hash.sgml b/doc/src/sgml/hash.sgml
index b4545a92ef..617e10b3f2 100644
--- a/doc/src/sgml/hash.sgml
+++ b/doc/src/sgml/hash.sgml
@@ -81,12 +81,14 @@
   is already set). If an insert finds no space is available on a page we
   try to avoid creating a new overflow page by attempting to remove dead
   index tuples. Removal cannot occur if the page is pinned at that time.
-  Deletion of dead index pointers also occurs during VACUUM.  If an
-  overflow page becomes empty, overflow pages can be recycled for reuse
-  in other buckets, though we never return them to the operating system.
+  Deletion of dead index pointers also occurs during VACUUM.
  </para>
 
  <para>
+  If it can, VACUUM will also try to squeeze the index tuples onto as
+  few overflow pages as possible, minimizing the overflow chain. If an
+  overflow page becomes empty, overflow pages can be recycled for reuse
+  in other buckets, though we never return them to the operating system.
   There is currently no provision to shrink a hash index, other than by
   rebuilding it with REINDEX.  
   There is no provision for reducing the number of buckets, either.
